Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a decision model variant
        • Retrieve a decision model variant
        • Update a decision model variant
        • Retrieve revisions
        • Retrieve a revision
  1. REST API Decision model variant
  1. Sitecore Personalize developer documentation
  2. REST APIs

Retrieve a revision of a decision model variant

GET /v2/decisionModelVariants/<decisionModelVariantRef>/revisions/revisionRef

Retrieves a revision of a decision model variant.

AttributeTypeDescriptionExample
decisionModelVariantRefstringThe reference of the decision model variant.

If you do not know the decision model variant reference, first retrieve variants of a decision model.
c682b6b6-934b-415b-bc46-ce6184809156
revisionrefstringThe reference of the revision.

If you do not know the revision reference, first retrieve revisions.
1
curl -X GET '<baseURL>/v2/decisionModelDefinitions/c682b6b6-934b-415b-bc46-ce6184809156/revisions/1' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{
   "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
   "href":"<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156/revisions/1",
   "ref":"c682b6b6-934b-415b-bc46-ce6184809156",
   "name":"Seasonal Offers",
   "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
   "modifiedAt":"2026-10-05T07:`37:49`.650Z",
   "revision":1,
   "archived":false,
   "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
   "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
   "transpiledDefinition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
   "decisionModelDefinition":{
      "href":"<baseURL>/v2/decisionModelDefinitions/db6ee91d-bc02-4e83-8621-a17aee09814d"
   },
   "offers":[
      "938a3392-1a18-4872-844a-9ecd56f61bf0",
      "2ff198c2-caee-4ccd-ab89-99a18ead3b06",
      "024c33ee-c74a-4b33-8050-7c2fccd4c776"
   ]
}
If you have suggestions for improving this article, let us know!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
PersonalizeCloud Portal